Subject: RE: [Mip6] The use of GRE

From: "Hesham Soliman" <[email-masked]>
Date: Tue, 15 May 2007 20:20:46 +1000

Alessio, 

Regardless of whether the packet is carrying IPv4 or IPv6, there is always a
unique identifier in the packet, i.e. the IPv6 address. Overlapping
addresses are only an issue when both the outer and inner addresses are
private IPv4 addresses. But in this case the question is: where do you use
GRE? Is GRE supported on your windows PC or your mobile phone? I don't think
it is. So, it is natural to handle that in the network. I.e. from the FA (or
v4-only AR) upwards in v4. 

To answer your question, I do believe GRE is useful for overlapping IP
addresses to match a key to a VRF instance, but this is not what we're doing
here. 

Hesham

 > -----Original Message-----
 > From: CASATI, Alessio (Alessio) [mailto:[email-masked]] 
 > Sent: Tuesday, May 15, 2007 8:06 PM
 > To: Tsirtsis, George; Sri Gundavelli; Hesham Soliman; 
 > [email-masked]; [email-masked]
 > Subject: RE: [Mip6] The use of GRE
 > 
 > *Alessio,
 > *
 > *This is MIPv6, so I assume every mobile has a unique IPv6 
 > Home Address.
 > 
 > I assume we are addressing the issue of carrying IPv4 in DSMIPv6, not
 > vanilla MIPv6 operation.
 > I agree that if there is a globally unique/routable(v6 or v4) address
 > carried in the "tunnel" then
 > there is no need of GRE (like there was no need in MIPv4 for that
 > matter, when a public IP address is used).
 > However, when private addresses are used, and we want to carry IPv4
 > packets with private
 > Addresses encapsulated in v6 or v4, then the same issue arises as in
 > MIPv4, that is we need a field to
 > disambiguate private addresses. Does anyone know why GRE was 
 > introduced
 > in MIPv4? Was it as a past time or because
 > there was a requirement? If there was a requirement then, can this go
 > away just because time has gone by?
 > I am just curious, as this may help in solving this case.
 > 
 > (BTW, I hope we are discussing the same thing, since I am not sure
 > whether you mean this thread to be for vanilla MIPv6
 > with v6 only operation, and not for DSMIPv6...)
 > 
 > 
 > Regards
 > Alessio
 > 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: "Hesham Soliman" <[email-masked]>
Date: Tue, 15 May 2007 21:44:36 +1000

> I do agree that the main domain of application is PMIPv6 and this VRF
 > instance case you mention.
 > Is it the case PIMIPv6 support for v4 derives from DSMIPv6, then?

=> I don't know that it's applicable to the same scenarios. NETLMM assumed
that v6 support is available in the client (AR), otherwise it's very strange
to not design PMIPv4 :). Also, there is an assumption of the use of the
MN_ID, which is unique. So one could either tag packets with the MN_ID or
use GRE. Now, you could use GRE directly after the IP header as I suggested
before. 
If all of that is insufficient (and I don't know why that would be the case)
then,
as already mentioned by George and Pascal, NETLMM can decide to do its
extensions to support GRE *after* the UDP header. But there is no reason for
us to mandate this feature in this spec when we clearly don't need it. It
makes more sense to extend the spec for those specific cases that need it;
*if* they need it.

 > 
 > On support of GRE at MN, I am not sure whether concurrent access to 2
 > IPv4 nets sharing the same HA address (so supported via 2 
 > VRFs on same
 > router) and with overlapping IP addresses should be 
 > considered, as part
 > of use cases.
 > But if it was, then the case for a mux field in DSMIP at MN 
 > should also
 > be assessed, as u rightly point out.

=> The scenario was not considered, but I don't think considering that
scenario would automatically imply GRE from the host. If an ISP hosting an
HA uses overlapping addresses and assumes such overlap in visited networks
then I can't see how it would always rely on the host to do the job. In
fixed (and mobile AFAIK) networks this scenario may happen in a
wholesale/retail type split (unlikely in the fixed case though), in which
case the tunnel back to the HA must be done by the visited network anyway.
So I don't think there is an automatic relationship between where the tunnel
starts and the existence of overlapping addresses, although I agree that it
is a possible option. But realistically speaking, this support on the host
doesn't exist and as we move to IPv6 it sure won't be needed, so it's
strange to consider it in a standard at this stage. 

As we move away from band aid solutions in private addressing deployments, I
hope we can leave those legacy band aids somewhere in the history alleys and
avoid bringing them (in terms of development baggage) to new deployments,
where they are not needed. 

Hesham

 > 
 > Regards
 > Alessio
 > 
 > *-----Original Message-----
 > *From: Hesham Soliman [mailto:[email-masked]] 
 > *Sent: 15 May 2007 11:21
 > *To: CASATI, Alessio (Alessio); 'Tsirtsis, George'; 'Sri 
 > *Gundavelli'; [email-masked]; [email-masked]
 > *Subject: RE: [Mip6] The use of GRE
 > *
 > *Alessio, 
 > *
 > *Regardless of whether the packet is carrying IPv4 or IPv6, 
 > *there is always a unique identifier in the packet, i.e. the 
 > *IPv6 address. Overlapping addresses are only an issue when 
 > *both the outer and inner addresses are private IPv4 addresses. 
 > *But in this case the question is: where do you use GRE? Is GRE 
 > *supported on your windows PC or your mobile phone? I don't 
 > *think it is. So, it is natural to handle that in the network. 
 > *I.e. from the FA (or v4-only AR) upwards in v4. 
 > *
 > *To answer your question, I do believe GRE is useful for 
 > *overlapping IP addresses to match a key to a VRF instance, but 
 > *this is not what we're doing here. 
 > *
 > *Hesham
 > *
 > * 
 > *
 > * > -----Original Message-----
 > * > From: CASATI, Alessio (Alessio) 
 > [mailto:[email-masked]]
 > * > Sent: Tuesday, May 15, 2007 8:06 PM
 > * > To: Tsirtsis, George; Sri Gundavelli; Hesham Soliman;  > 
 > [email-masked]; [email-masked]  > Subject: RE: [Mip6] The use of 
 > *GRE  >  > *Alessio,  > *  > *This is MIPv6, so I assume every 
 > *mobile has a unique IPv6  > Home Address.
 > * >
 > * > I assume we are addressing the issue of carrying IPv4 in 
 > *DSMIPv6, not  > vanilla MIPv6 operation.
 > * > I agree that if there is a globally unique/routable(v6 or 
 > *v4) address  > carried in the "tunnel" then  > there is no 
 > *need of GRE (like there was no need in MIPv4 for that  > 
 > *matter, when a public IP address is used).
 > * > However, when private addresses are used, and we want to 
 > *carry IPv4  > packets with private  > Addresses encapsulated 
 > *in v6 or v4, then the same issue arises as in  > MIPv4, that 
 > *is we need a field to  > disambiguate private addresses. Does 
 > *anyone know why GRE was  > introduced  > in MIPv4? Was it as a 
 > *past time or because  > there was a requirement? If there was 
 > *a requirement then, can this go  > away just because time 
 > has gone by?
 > * > I am just curious, as this may help in solving this case.
 > * >
 > * > (BTW, I hope we are discussing the same thing, since I am 
 > *not sure  > whether you mean this thread to be for vanilla 
 > *MIPv6  > with v6 only operation, and not for DSMIPv6...)  >  > 
 > * > Regards  > Alessio  > 
 > *
 > *
 > *
 >